clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::CodeGen::CodeGenFunction::OMPTargetDataInfo Struct Reference

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CodeGenFunction.h"`

Collaboration diagram for clang::CodeGen::CodeGenFunction::OMPTargetDataInfo:
[legend]

## Public Member Functions
| OMPTargetDataInfo ()=default
| OMPTargetDataInfo (Address BasePointersArray, Address PointersArray, Address SizesArray, unsigned NumberOfTargetItems)

## Public Attributes
Address | BasePointersArray = Address::invalid()
Address | PointersArray = Address::invalid()
Address | SizesArray = Address::invalid()
unsigned | NumberOfTargetItems = 0

## Detailed Description

Definition at line 3094 of file CodeGenFunction.h.

## Constructor & Destructor Documentation

## ◆ OMPTargetDataInfo() [1/2]

clang::CodeGen::CodeGenFunction::OMPTargetDataInfo::OMPTargetDataInfo | ( |  | ) |
| explicit default

## ◆ OMPTargetDataInfo() [2/2]

clang::CodeGen::CodeGenFunction::OMPTargetDataInfo::OMPTargetDataInfo | ( | Address | BasePointersArray,
|  | Address | PointersArray,
|  | Address | SizesArray,
|  | unsigned | NumberOfTargetItems
| ) |  |
| inline

Definition at line 3100 of file CodeGenFunction.h.

## Member Data Documentation

## ◆ BasePointersArray

Address clang::CodeGen::CodeGenFunction::OMPTargetDataInfo::BasePointersArray = Address::invalid()

Definition at line 3095 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitOMPTargetTaskBasedDirective().

## ◆ NumberOfTargetItems

unsigned clang::CodeGen::CodeGenFunction::OMPTargetDataInfo::NumberOfTargetItems = 0

Definition at line 3098 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitOMPTargetTaskBasedDirective().

## ◆ PointersArray

Address clang::CodeGen::CodeGenFunction::OMPTargetDataInfo::PointersArray = Address::invalid()

Definition at line 3096 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitOMPTargetTaskBasedDirective().

## ◆ SizesArray

Address clang::CodeGen::CodeGenFunction::OMPTargetDataInfo::SizesArray = Address::invalid()

Definition at line 3097 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitOMPTargetTaskBasedDirective().

The documentation for this struct was generated from the following file:

- lib/CodeGen/CodeGenFunction.h